%define ftppath ftp://ftp.informatik.uni-stuttgart.de/pub/SNNS
Summary: NNS - Stuttgart Neural Network Simulator 
Name: SNNS
Version: 4.2
Release: 3
Copyright: Free Software
Group: Applications/Engineering
ExclusiveArch: i386 alpha
Source: %{ftppath}/SNNSv%{PACKAGE_VERSION}.tar.bz2
Source1: %{ftppath}/SNNSv%{PACKAGE_VERSION}.Manual.ps.bz2
Source2: %{ftppath}/SNNSinfo-1.03.tar.bz2
Patch1: SNNSv42-maxfloat.patch
Patch2: SNNS-XGUILOADPATH.diff
BuildRoot: /var/tmp/%name-root

%description
SNNS (Stuttgart Neural Network Simulator) is a simulation program for neuronal
network.

%package doc
Summary: SNNS documents
Group: Applications/Engineering

%description doc
This package includes the documents in html and postscript for SNNS.

%prep
%setup -n SNNSv%{version}
%patch1
%patch2 -p1

%build
CFLAGS="$RPM_OPT_FLAGS -D__NO_STRING_INLINES" ./configure --prefix=/usr \
  --with-x --enable-global
make compile

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/usr/lib/SNNS
make install INSTALLDIR=$RPM_BUILD_ROOT/usr

cp -rf help.hdoc examples $RPM_BUILD_ROOT/usr/lib/SNNS
cd $RPM_BUILD_ROOT/usr/lib/SNNS
tar --use-compress-program=bzip2 -opxf %{SOURCE2}
rm -rf SNNSinfo/UserManual.ps SNNSinfo/Icons/.xvpics
cp -f %{SOURCE1} SNNSinfo
chown -R root.root ../SNNS

%clean
rm -rf $RPM_BUILD_ROOT

%files
%doc Readme*
/usr/bin/*
/usr/lib/SNNS/examples
/usr/lib/SNNS/help.hdoc

%files doc
%docdir /usr/lib/SNNS/SNNSinfo
%doc /usr/lib/SNNS/SNNSinfo/*

%changelog
* Thu Jan 27 2000 Tim Powers <timp@redhat.com>
- fixed munged groups/summaries

* Wed Jan 19 2000 Tim Powers <timp@redhat.com>
- bzipped sources toconserve space
- BuildRoot in /var/tmp
